using System;
using System.Reflection;
using System.Reflection.Emit;

internal sealed class Delegate864 : MulticastDelegate
{
	public extern void Invoke(object object_0, OpCode opCode_0, MethodInfo methodInfo_0, Type[] type_0);

	public static void smethod_0(object object_0, OpCode opCode_0, MethodInfo methodInfo_0, Type[] type_0, Delegate864 delegate864_1)
	{
		delegate864_1(object_0, opCode_0, methodInfo_0, type_0);
	}

	public extern Delegate864(object object_0, IntPtr intptr_0);

	static Delegate864()
	{
		Class10.smethod_13(typeof(Delegate864).TypeHandle);
	}

	internal static Delegate864 delegate864_0;
}
